# Class CIM_USBControllerHasHub
extends CIM_ControlledBy

USBControllerHasHub defines the Hub(s) that are downstream of the USBController.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_DeviceConnection
|
+--CIM_ControlledBy
|
+--CIM_USBControllerHasHub

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | USBControllerHasHub defines the Hub(s) that are downstream of the USBController.
UMLPackagePath | string | CIM::Device::USB
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_USBControllerHasHub | CIM_USBController
Dependent | CIM_USBControllerHasHub | CIM_USBHub

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
AccessMode | uint16 | CIM_ControlledBy
AccessPriority | uint16 | CIM_ControlledBy
AccessState | uint16 | CIM_ControlledBy
DeviceNumber | string | CIM_ControlledBy
NegotiatedDataWidth | uint32 | CIM_DeviceConnection
NegotiatedSpeed | uint64 | CIM_DeviceConnection
NumberOfHardResets | uint32 | CIM_ControlledBy
NumberOfSoftResets | uint32 | CIM_ControlledBy
TimeOfDeviceReset | datetime | CIM_ControlledBy

## Class Methods